Bug 589049 - Intermittent 'session id invalid' error observed in rhq server log.
Intermittent 'session id invalid' error observed in rhq server log.
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
3.0.0
All All
low Severity medium (vote)
: ---
: ---
Assigned To: Simeon Pinder
Mike Foley
:
Depends On:
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2010-05-05 05:01 EDT by Sunil Kondkar
Modified: 2013-09-03 12:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 12:56:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Server log (464.94 KB, text/x-log)
2010-05-05 05:01 EDT, Sunil Kondkar
no flags Details

  None (edit)
Description Sunil Kondkar 2010-05-05 05:01:22 EDT
Created attachment 411517 [details]
Server log

Description of problem:

Observed below error intermittently in rhq-server-log4j.log on jon build#123:

ERROR [org.rhq.enterprise.gui.legacy.portlet.recentlyApproved.ViewAction] Dashboard Portlet [RecentlyApproved] experienced an error: The session ID for user [rhqadmin] is invalid!: invocation: method=public java.util.List<org.rhq.core.domain.resource.composite.RecentlyAddedResourceComposite> org.rhq.enterprise.server.resource.ResourceManagerBean.findRecentlyAddedPlatforms(org.rhq.core.domain.auth.Subject,long,int),context-data={}

Please find attached server log file for more details.

Version-Release number of selected component (if applicable):
jon build#123

How reproducible:
Intermittent

Steps to Reproduce:

1.Login to rhq as rhqadmin after installing jon build.
2.Navigate to Administration->System Configuration->LDAP Configuration Properties
3.Enter configuration as below:

URL: ldap://win2k3red.test.pnq.com
Search Base: dc=test,dc=pnq,dc=com
Username: cn=Administrator,cn=Users,dc=test,dc=pnq,dc=com
Password: RedHat123
Search Filter: objectclass=*
Login Property: cn
Group Search Filter: objectclass=group
Group Member Filter: member

4.Navigate to Administration->Security->Roles
5.Click on an existing role.
6.Map a ldap group against the rhq role.(ldap group has a ldap member)
7.Logout from rhq.
8.Login to rhq as member of the ldap group mapped against the rhq role.
9.Observe the rhq-server-log4j.log.
  
Actual results:
The log file 'rhq-server-log4j.log' displays 'session id invalid' error.

Expected results:
The error should not be displayed.

Additional info:

Below is the stack trace:

2010-05-04 20:04:24,716 INFO  [org.rhq.enterprise.server.core.CustomJaasDeploymentService] Installing RHQ Server's JAAS login modules
2010-05-04 20:04:24,718 INFO  [org.rhq.enterprise.server.core.CustomJaasDeploymentService] Enabling RHQ JDBC JAAS Provider
2010-05-04 20:04:24,719 INFO  [org.rhq.enterprise.server.core.CustomJaasDeploymentService] Enabled the temporary session login module
2010-05-04 20:04:24,789 INFO  [org.rhq.enterprise.server.core.CustomJaasDeploymentService] Enabling RHQ LDAP JAAS Provider
2010-05-04 20:05:18,152 WARN  [org.hibernate.hql.ast.QueryTranslatorImpl] firstResult/maxResults specified with collection fetch; applying in memory!
2010-05-04 20:05:25,885 ERROR [org.rhq.enterprise.gui.legacy.portlet.summaryCounts.ViewAction] Dashboard Portlet [SummaryCounts] experienced an error: The session ID for user [rhqadmin] is invalid!: invocation: method=public org.rhq.core.domain.resource.InventorySummary org.rhq.enterprise.server.resource.ResourceBossBean.getInventorySummary(org.rhq.core.domain.auth.Subject),context-data={}
2010-05-04 20:05:31,875 ERROR [org.rhq.enterprise.gui.legacy.portlet.recentlyApproved.ViewAction] Dashboard Portlet [RecentlyApproved] experienced an error: The session ID for user [rhqadmin] is invalid!: invocation: method=public java.util.List<org.rhq.core.domain.resource.composite.RecentlyAddedResourceComposite> org.rhq.enterprise.server.resource.ResourceManagerBean.findRecentlyAddedPlatforms(org.rhq.core.domain.auth.Subject,long,int),context-data={}
2010-05-04 20:05:33,873 ERROR [org.rhq.enterprise.gui.legacy.portlet.resourcehealth.ViewAction] Dashboard Portlet [ResourceHealth] experienced an error: The session ID for user [rhqadmin] is invalid!: invocation: method=public org.rhq.core.domain.util.PageList<org.rhq.core.domain.resource.composite.ResourceHealthComposite> org.rhq.enterprise.server.resource.ResourceManagerBean.findResourceHealth(org.rhq.core.domain.auth.Subject,int[],org.rhq.core.domain.util.PageControl),context-data={}
2010-05-04 20:05:35,881 ERROR [org.rhq.enterprise.gui.legacy.portlet.criticalalerts.ViewAction] Dashboard Portlet [CriticalAlerts] experienced an error: The session ID for user [rhqadmin] is invalid!: invocation: method=public org.rhq.core.domain.util.PageList<org.rhq.core.domain.alert.Alert> org.rhq.enterprise.server.alert.AlertManagerBean.findAlerts(org.rhq.core.domain.auth.Subject,java.lang.Integer[],org.rhq.core.domain.alert.AlertPriority,long,org.rhq.core.domain.util.PageControl),context-data={}
2010-05-04 20:05:36,531 INFO  [org.rhq.enterprise.server.content.ContentManagerBean] Merging packages for resource ID [10110]. Package count [1]
2010-05-04 20:05:36,558 INFO  [org.rhq.enterprise.server.content.ContentManagerBean] Finished merging 1 packages in 27ms
2010-05-04 20:05:37,883 ERROR [org.rhq.enterprise.gui.legacy.portlet.controlactions.ViewAction] Dashboard Portlet [ControlActions] experienced an error: The session ID for user [rhqadmin] is invalid!: invocation: method=public org.rhq.core.domain.util.PageList<org.rhq.core.domain.operation.composite.ResourceOperationLastCompletedComposite> org.rhq.enterprise.server.operation.OperationManagerBean.findRecentlyCompletedResourceOperations(org.rhq.core.domain.auth.Subject,java.lang.Integer,org.rhq.core.domain.util.PageControl),context-data={}
2010-05-04 20:05:39,882 ERROR [org.rhq.enterprise.gui.legacy.portlet.problemresources.ViewAction] Dashboard Portlet [ProblemResources] experienced an error: Error finding problem resources
2010-05-04 20:06:06,529 INFO  [org.rhq.enterprise.server.content.ContentManagerBean] Merging packages for resource ID [10108]. Package count [1]
2010-05-04 20:06:06,638 INFO  [org.rhq.enterprise.server.content.ContentManagerBean] Finished merging 1 packages in 109ms
2010-05-04 20:06:25,877 ERROR [org.rhq.enterprise.gui.legacy.portlet.summaryCounts.ViewAction] Dashboard Portlet [SummaryCounts] experienced an error: The session ID for user [rhqadmin] is invalid!: invocation: method=public org.rhq.core.domain.resource.InventorySummary org.rhq.enterprise.server.resource.ResourceBossBean.getInventorySummary(org.rhq.core.domain.auth.Subject),context-data={}
2010-05-04 20:06:31,872 ERROR [org.rhq.enterprise.gui.legacy.portlet.recentlyApproved.ViewAction] Dashboard Portlet [RecentlyApproved] experienced an error: The session ID for user [rhqadmin] is invalid!: invocation: method=public java.util.List<org.rhq.core.domain.resource.composite.RecentlyAddedResourceComposite> org.rhq.enterprise.server.resource.ResourceManagerBean.findRecentlyAddedPlatforms(org.rhq.core.domain.auth.Subject,long,int),context-data={}
2010-05-04 20:06:33,875 ERROR [org.rhq.enterprise.gui.legacy.portlet.resourcehealth.ViewAction] Dashboard Portlet [ResourceHealth] experienced an error: The session ID for user [rhqadmin] is invalid!: invocation: method=public org.rhq.core.domain.util.PageList<org.rhq.core.domain.resource.composite.ResourceHealthComposite> org.rhq.enterprise.server.resource.ResourceManagerBean.findResourceHealth(org.rhq.core.domain.auth.Subject,int[],org.rhq.core.domain.util.PageControl),context-data={}
2010-05-04 20:06:35,883 ERROR [org.rhq.enterprise.gui.legacy.portlet.criticalalerts.ViewAction] Dashboard Portlet [CriticalAlerts] experienced an error: The session ID for user [rhqadmin] is invalid!: invocation: method=public org.rhq.core.domain.util.PageList<org.rhq.core.domain.alert.Alert> org.rhq.enterprise.server.alert.AlertManagerBean.findAlerts(org.rhq.core.domain.auth.Subject,java.lang.Integer[],org.rhq.core.domain.alert.AlertPriority,long,org.rhq.core.domain.util.PageControl),context-data={}
2010-05-04 20:06:36,525 INFO  [org.rhq.enterprise.server.content.ContentManagerBean] Merging packages for resource ID [10109]. Package count [1]
2010-05-04 20:06:36,544 INFO  [org.rhq.enterprise.server.content.ContentManagerBean] Finished merging 1 packages in 19ms
2010-05-04 20:06:37,882 ERROR [org.rhq.enterprise.gui.legacy.portlet.controlactions.ViewAction] Dashboard Portlet [ControlActions] experienced an error: The session ID for user [rhqadmin] is invalid!: invocation: method=public org.rhq.core.domain.util.PageList<org.rhq.core.domain.operation.composite.ResourceOperationLastCompletedComposite> org.rhq.enterprise.server.operation.OperationManagerBean.findRecentlyCompletedResourceOperations(org.rhq.core.domain.auth.Subject,java.lang.Integer,org.rhq.core.domain.util.PageControl),context-data={}
2010-05-04 20:06:39,884 ERROR [org.rhq.enterprise.gui.legacy.portlet.problemresources.ViewAction] Dashboard Portlet [ProblemResources] experienced an error: Error finding problem resources
Comment 1 Corey Welton 2010-09-20 21:59:28 EDT
Simeon, please see if this still occurs in the new gwt UI
Comment 2 Simeon Pinder 2011-02-15 13:15:30 EST
I haven't seen this occur in the new GWT UI. Many session issues with the GWT UI have been recently resolved.  I think this can be closed, but I'll put it back on QA to verify.
Comment 3 Sunil Kondkar 2011-05-27 04:33:50 EDT
Verified on build101 (Version: 4.1.0-SNAPSHOT Build Number: 712d0e1)

The session id invalid error is not observed in server log.

Marking as verified
Comment 4 Heiko W. Rupp 2013-09-03 12:56:33 EDT
Bulk closing of old issues that are in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.